Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.jdbc
Class TransitionPersistenceImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.jdbc.TransitionPersistenceImpl

All Implemented Interfaces:
  TransitionPersistence

    public class TransitionPersistenceImpl

extends Object
implements TransitionPersistence

Created: 04 Feb 2011

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`TransitionPersistenceImpl(PersistenceFactoryImpl persistenceFactory)`

Method Summary
`void` | `deleteTransitionsFromState(Integer stateId, int processTypeId)`
`void` | `deleteTransitionsToState(int stateId)`
`(package private) int` | `getTransitionNameId(String name)`
`Collection<Transition>` | `getTransitionsFromState(Integer stateId, int processTypeId)`
`(package private) int` | `insertTransitionName(String name, Connection connection)`
`(package private) JDBCHelper` | `newJDBCHelper()`
`void` | `storeTransition(Transition transition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionPersistenceImpl

    public TransitionPersistenceImpl(PersistenceFactoryImpl persistenceFactory)

Method Detail

### storeTransition

    public void storeTransition(Transition transition)

  Specified by:
    `storeTransition` in interface `TransitionPersistence`

### newJDBCHelper

    JDBCHelper newJDBCHelper()

### getTransitionNameId

    int getTransitionNameId(String name)

### insertTransitionName

    int insertTransitionName(String name,
                             Connection connection)

### getTransitionsFromState

    public Collection<Transition> getTransitionsFromState(Integer stateId,
                                                          int processTypeId)

  Specified by:
    `getTransitionsFromState` in interface `TransitionPersistence`

### deleteTransitionsToState

    public void deleteTransitionsToState(int stateId)

  Specified by:
    `deleteTransitionsToState` in interface `TransitionPersistence`

### deleteTransitionsFromState

    public void deleteTransitionsFromState(Integer stateId,
                                           int processTypeId)

  Specified by:
    `deleteTransitionsFromState` in interface `TransitionPersistence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD